org.appng.xml.platform

## Class Datasource

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Datasource

- All Implemented Interfaces:
    Serializable

      public class Datasource
      extends BaseObject
      implements Serializable

  Provides some data by implementing the `org.appng.api.DataProvider` interface.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bean` | `bean`
    `protected DataConfig` | `config`
    `protected Data` | `data`
    `protected String` | `id`
    `protected Messages` | `messages`
    `protected String` | `mode`
    `protected String` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Datasource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bean` | `getBean()` Gets the value of the bean property.
    `DataConfig` | `getConfig()` Gets the value of the config property.
    `Data` | `getData()` Gets the value of the data property.
    `String` | `getId()` The globally unique id of this datasource.
    `Messages` | `getMessages()` Gets the value of the messages property.
    `String` | `getMode()` If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
    `String` | `getSource()` The fully qualified class name of the underlying bean.
    `void` | `setBean(Bean value)` Sets the value of the bean property.
    `void` | `setConfig(DataConfig value)` Sets the value of the config property.
    `void` | `setData(Data value)` Sets the value of the data property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMessages(Messages value)` Sets the value of the messages property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setSource(String value)` Sets the value of the source property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected DataConfig config

    - #### messages

          protected Messages messages

    - #### bean

          protected Bean bean

    - #### data

          protected Data data

    - #### id

          protected String id

    - #### mode

          protected String mode

    - #### source

          protected String source

  - ### Constructor Detail

    - #### Datasource

          public Datasource()

  - ### Method Detail

    - #### getConfig

          public DataConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `DataConfig`

    - #### setConfig

          public void setConfig(DataConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `DataConfig`

    - #### getMessages

          public Messages getMessages()

      Gets the value of the messages property.
      Returns:
        possible object is `Messages`

    - #### setMessages

          public void setMessages(Messages value)

      Sets the value of the messages property.
      Parameters:
        `value` - allowed object is `Messages`

    - #### getBean

          public Bean getBean()

      Gets the value of the bean property.
      Returns:
        possible object is `Bean`

    - #### setBean

          public void setBean(Bean value)

      Sets the value of the bean property.
      Parameters:
        `value` - allowed object is `Bean`

    - #### getData

          public Data getData()

      Gets the value of the data property.
      Returns:
        possible object is `Data`

    - #### setData

          public void setData(Data value)

      Sets the value of the data property.
      Parameters:
        `value` - allowed object is `Data`

    - #### getId

          public String getId()

      The globally unique id of this datasource.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSource

          public String getSource()

      The fully qualified class name of the underlying bean.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.